3 Replies Latest reply: May 5, 2014 1:05 PM by Victoria Herring
Victoria Herring Level 2 Level 2 (290 points)

I have a Macbook Pro that runs Mavericks and I have Aperture on it.  I also use Photoshop elements as an adjunct, but my older version [10] doesnt' work well with Aperture or even alone [missing some component and I can't find the original DMG] - so I was going to think about downloading or buying PSE12 but it says it's for 10.7 and 8 -- and is not optimized to work with 9.

 

Has anyone here used PSE12 successfully with Mavericks and with Aperture???


MacBook Pro, OS X Mavericks (10.9.1)